ImagickDraw::getVectorGraphics
ImagickDraw::matte
ImagickDraw
PHP Manual

# ImagickDraw::line

(PECL imagick 2.0.0)

ImagickDraw::line — Draws a line

### Description

bool ImagickDraw::line ( float `$sx` , float `$sy` , float `$ex` , float `$ey` )
Warning

This function is currently not documented; only its argument list is available.

Draws a line on the image using the current stroke color, stroke opacity, and stroke width.

### Parameters

`sx`

  starting x coordinate

`sy`

  starting y coordinate

`ex`

  ending x coordinate

`ey`

  ending y coordinate

### Return Values

No value is returned.

ImagickDraw::getVectorGraphics
ImagickDraw::matte
ImagickDraw
PHP Manual